Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.ejb
Interface QueryProperties

All Known Subinterfaces:
  PreparedQuery, Query, WLQueryProperties

public interface QueryProperties

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static short` | `TX_MANDATORY`
`static short` | `TX_REQUIRED`
`static short` | `TX_REQUIRES_NEW`

Method Summary
`boolean` | `getEnableQueryCaching()`
`boolean` | `getIncludeUpdates()`
`int` | `getMaxElements()`
`short` | `getTransaction()`
`boolean` | `isResultTypeRemote()`
`void` | `setEnableQueryCaching(boolean value)` Used to turn query caching on
`void` | `setIncludeUpdates(boolean value)` Used to specify whether any updates that have been made during the current transaction will be reflected in the query result.
`void` | `setMaxElements(int value)` Sets the maximum number of results that can be returned.
`void` | `setResultTypeRemote(boolean value)` Used to specify whether the results of the query will be EJBObjects or EJBLocalObjects.
`void` | `setTransaction(short value)` Uses the standard EJB values: Required, RequiresNew, etc.

Field Detail

### TX_MANDATORY

    public static final short TX_MANDATORY

See Also:
  Constant Field Values

### TX_REQUIRED

    public static final short TX_REQUIRED

See Also:
  Constant Field Values

### TX_REQUIRES_NEW

    public static final short TX_REQUIRES_NEW

See Also:
  Constant Field Values

Method Detail

### getEnableQueryCaching

    public boolean getEnableQueryCaching()
                                  throws FinderException

  Throws:
    `FinderException`

### getIncludeUpdates

    public boolean getIncludeUpdates()
                              throws FinderException

  Throws:
    `FinderException`

### getMaxElements

    public int getMaxElements()
                       throws FinderException

  Throws:
    `FinderException`

### getTransaction

    public short getTransaction()
                         throws FinderException

  Throws:
    `FinderException`

### isResultTypeRemote

    public boolean isResultTypeRemote()
                               throws FinderException

  Throws:
    `FinderException`

### setEnableQueryCaching

    public void setEnableQueryCaching(boolean value)
                               throws FinderException

  Used to turn query caching on

  Throws:
    `FinderException`

### setIncludeUpdates

    public void setIncludeUpdates(boolean value)
                           throws FinderException

  Used to specify whether any updates that have been made during the current transaction will be reflected in the query result. Default: updates from the current transaction are not included

  Throws:
    `FinderException`

### setMaxElements

    public void setMaxElements(int value)
                        throws FinderException

  Sets the maximum number of results that can be returned. Default: no limit

  Throws:
    `FinderException`

### setResultTypeRemote

    public void setResultTypeRemote(boolean value)
                             throws FinderException

  Used to specify whether the results of the query will be EJBObjects or EJBLocalObjects. This setting is only valid when an EJB with both a local and remote client view is returned. Default: false

  Throws:
    `FinderException`

### setTransaction

    public void setTransaction(short value)
                        throws FinderException

  Uses the standard EJB values: Required, RequiresNew, etc. Default: Required

  Throws:
    `FinderException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD